
From: ebiederm@xmission.com (Eric W. Biederman)

This allows a valid iommu placed immediately after memory to work, to be
recognized as after the last byte of memory and not overlapping it.

Signed-off-by: Eric W. Biederman <ebiederm@xmission.com>
Cc: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/x86_64/kernel/e820.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/x86_64/kernel/e820.c~x86_64-fix-off-by-one-in-e820_mapped arch/x86_64/kernel/e820.c
--- devel/arch/x86_64/kernel/e820.c~x86_64-fix-off-by-one-in-e820_mapped	2005-07-29 13:08:31.000000000 -0700
+++ devel-akpm/arch/x86_64/kernel/e820.c	2005-07-29 13:08:31.000000000 -0700
@@ -85,7 +85,7 @@ int __init e820_mapped(unsigned long sta
 		struct e820entry *ei = &e820.map[i]; 
 		if (type && ei->type != type) 
 			continue;
-		if (ei->addr >= end || ei->addr + ei->size < start) 
+		if (ei->addr >= end || ei->addr + ei->size <= start)
 			continue; 
 		return 1; 
 	} 
_
